*----------------------------------------------*
*Date - August 2008
*Project - Creating the SLMS master data
/*Description - This program generates calculates
the capital stock*/

/*Generated Variables - equip land K K_own equip_own land_own K_noland
K2_noland realinv inv*/

/*Based largely on panel_11.do*/
*----------------------------------------------*


*-*-*-*
progClearMemPath_GenderSriLanka  /*This program, clears, sets mem, and indicates the directory*/
*-*-*-*
# delimit ;
*Objective is to create capital stock variables
;

use labeledbaseline;

*assets;

mvencode q1_32f11 - q1_32go2 q1_36_7 q1_38, mv(0);

gen equip_repair=q1_32f11 + q1_32f12 + q1_32f21 + q1_32f22 + q1_32f31 + q1_32f32 + q1_32f41 + q1_32f42  +
q1_32f61 + q1_32f62 + q1_32f71 + q1_32f72 + q1_32fo1 + q1_32fo2 ;

gen land_repair= q1_32f51 + q1_32f52;

gen equip_replace=q1_32g11 + q1_32g12 + q1_32g21 + q1_32g22 + q1_32g31 + q1_32g32 + q1_32g41 + q1_32g42  +
q1_32g61 + q1_32g62 + q1_32g71 + q1_32g72 + q1_32go1 + q1_32go2 ;

gen land_replace=  q1_32g51 + q1_32g52 ;

# delimit cr


gen equip_dam=equip_repair+equip_replace
gen land_dam=land_repair+land_replace

rename q1_38 a_inv

for  X in num 1/6 : gen rentX1=q1_36dX1==2
for  X in num 1/6 : gen rentX2=q1_36dX2==2
for  X in num 1/6 : gen rentX3=q1_36dX3==2

*mvencode q1_36f11-q1_36f63, mv(0)
# delimit ;
gen a_equip_rent=q1_36f11*rent11 + q1_36f12*rent12 + q1_36f13*rent13 + q1_36f21*rent21 + q1_36f22*rent22 
 + q1_36f23*rent23 + q1_36f31*rent31 + q1_36f32*rent32 + q1_36f33*rent33 + q1_36f41*rent41 + q1_36f42*rent42 
+ q1_36f43*rent43  + q1_36f61*rent61 + q1_36f62*rent62 + q1_36f63*rent63;

gen a_land_rent = q1_36f51*rent51 + q1_36f52*rent52 + q1_36f53*rent53 ;

# delimit cr

gen a_land=q1_36f51 + q1_36f52 + q1_36f53 + land_dam
gen a_equip=equip_dam+land_dam +q1_36_7 - a_land


# delimit ;
keep sheno 
a_equip a_equip_rent a_land a_land_rent a_inv  ;

# delimit cr

sort sheno

merge sheno using tsunami_track2all

mvencode b4_2e5_1-b4_2e5_4   b4_4f5_1, mv(0)

mvencode b4_2_7 b4_4_7 b4_7_8, mv(0)

rename b4_2_7 b_d_repair
rename b4_4_7 b_d_assets
rename b4_7_8 b_d_damage
rename b2_13 b_inv

gen b_d_land_buy=b4_4f5_1
gen b_d_land_repair=b4_2e5_1 + b4_2e5_2 + b4_2e5_3 + b4_2e5_4

gen b_d_land=b_d_land_buy + b_d_land_repair
gen b_d_equip = (b_d_assets + b_d_repair - b_d_damage) - b_d_land

*new rented assets
gen b_d_equip_rent=0
gen b_d_land_rent=0
for X in num 1/6: replace b_d_equip_rent=b_d_equip_rent+b4_4f1_X if b4_4d1_X==2
for X in num 1/4: replace b_d_equip_rent=b_d_equip_rent+b4_4f2_X if b4_4d2_X==2
for X in num 1/2: replace b_d_equip_rent=b_d_equip_rent+b4_4f3_X if b4_4d3_X==2

replace b_d_land_rent=b4_4f5_1 if b4_4d5_1==2

*save c:\stata\data\testcapital, replace

# delimit ;
keep sheno b1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv  
;
#delimit cr

*ADD ROUND 3
sort sheno

merge sheno using tsunami_track3all
mvencode c3_1a2 c3_1c c3_8_2 c3_9_2 ,mv(0)

mvencode c4_2_7 c4_4_7 c4_2e5_1-c4_2e5_4 c4_4f5_1-c4_4f5_4, mv(0)

rename c4_2_7 c_d_repair
rename c4_4_7 c_d_assets
gen c_d_damage=0
rename c2_13 c_inv

gen c_d_land_buy=c4_4f5_1 + c4_4f5_2 + c4_4f5_3 + c4_4f5_4 
gen c_d_land_repair=c4_2e5_1 + c4_2e5_2 + c4_2e5_3 + c4_2e5_4

gen c_d_land=c_d_land_buy + c_d_land_repair
gen c_d_equip = (c_d_assets + c_d_repair - c_d_damage) - c_d_land

*new rented assets
gen c_d_equip_rent=0
gen c_d_land_rent=0
for X in num 1/4: replace c_d_equip_rent=c_d_equip_rent+c4_4f2_X if c4_4d2_X==2

# delimit ;
keep sheno b1_1 c1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
;
# delimit cr


*ADD ROUND 4

sort sheno

merge sheno using tsunami_track4all
mvencode d3_1a2 d3_1c d3_8_2 d3_9_2 , mv(0)

mvencode d4_2_7 d4_2e5_1-d4_2e5_3 d4_4_7 d4_4f5_1-d4_4f5_3  d4_7_7 d4_7_8, mv(0)
mvdecode d4_4_7, mv(5)

rename d4_2_7 d_d_repair
rename d4_4_7 d_d_assets
gen d_d_damage=d4_7_7+d4_7_8
rename d2_13 d_inv

gen d_d_land_buy=d4_4f5_1 + d4_4f5_2 
gen d_d_land_repair=d4_2e5_1 + d4_2e5_2 + d4_2e5_3 

gen d_d_land=d_d_land_buy + d_d_land_repair
gen d_d_equip = (d_d_assets + d_d_repair - d_d_damage) - d_d_land

*new rented assets
gen d_d_equip_rent=0
gen d_d_land_rent=0
for X in num 1/2: replace d_d_equip_rent=d_d_equip_rent+d4_4f2_X if d4_4d2_X==2

# delimit ;

keep sheno b1_1 c1_1 d1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
;
# delimit cr


*ADD ROUND 5
sort sheno

merge sheno using tsunami_track5all
mvencode  e3_1a2 e3_1c e3_8_2 e3_9_2, mv(0)

mvencode e4_2_7  e4_2e5_1-e4_2e5_3 e4_4_7 e4_4f5_1 e4_7_7 e4_7_8, mv(0)
mvdecode e4_4_7, mv(5)

rename e4_2_7 e_d_repair
rename e4_4_7 e_d_assets
gen e_d_damage=e4_7_7+e4_7_8
rename e2_13 e_inv

gen e_d_land_buy=e4_4f5_1 
gen e_d_land_repair=e4_2e5_1 + e4_2e5_2 + e4_2e5_3 

gen e_d_land=e_d_land_buy + e_d_land_repair
gen e_d_equip = (e_d_assets + e_d_repair - e_d_damage) - e_d_land

*new rented assets
gen e_d_equip_rent=0
gen e_d_land_rent=0
*There is no change in rented equipment or land in thsi wave

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 e1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
;
# delimit cr

*ADD ROUND 6
sort sheno

merge sheno using tsunami_track6all
mvencode  f3_1a2 f3_1c f3_8_2 f3_9_2, mv(0)

mvencode f4_2_7  f4_2e5_1-f4_2e5_3 f4_4_7 f4_4f5_1 f4_7_7 f4_7_8, mv(0)
mvdecode f4_4_7, mv(5)

rename f4_2_7 f_d_repair
rename f4_4_7 f_d_assets
gen f_d_damage=f4_7_7+f4_7_8
rename f2_13 f_inv

gen f_d_land_buy=f4_4f5_1 
gen f_d_land_repair=f4_2e5_1 + f4_2e5_2 + f4_2e5_3 

gen f_d_land=f_d_land_buy + f_d_land_repair
gen f_d_equip = (f_d_assets + f_d_repair - f_d_damage) - f_d_land

*new rented assets
gen f_d_equip_rent=0
gen f_d_land_rent=0
*There is no change in rented fquipment or land in this wave

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 f1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
f_d_equip f_d_equip_rent f_d_land f_d_land_rent f_inv
;
# delimit cr

*ADD ROUND 7
sort sheno

merge sheno using tsunami_track7all
mvencode  g3_1a2 g3_1c g3_8_2 g3_9_2, mv(0)

mvencode g4_2_7  g4_2e5_1-g4_2e5_3 g4_4_7 g4_4f5_1 g4_7_7 g4_7_8, mv(0)
mvdecode g4_4_7, mv(5)

rename g4_2_7 g_d_repair
rename g4_4_7 g_d_assets
gen g_d_damage=g4_7_7+g4_7_8
rename g2_13 g_inv

gen g_d_land_buy=g4_4f5_1 
gen g_d_land_repair=g4_2e5_1  

gen g_d_land=g_d_land_buy + g_d_land_repair
gen g_d_equip = (g_d_assets + g_d_repair - g_d_damage) - g_d_land

*new rented assets
gen g_d_equip_rent=0
gen g_d_land_rent=0
*There is no change in rented equipment or land in this wave

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 f1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
f_d_equip f_d_equip_rent f_d_land f_d_land_rent f_inv
g_d_equip g_d_equip_rent g_d_land g_d_land_rent g_inv
;
# delimit cr

*ADD ROUND 8
sort sheno

merge sheno using tsunami_track8all
mvencode  h3_1a2 h3_1c h3_8_2 h3_9_2, mv(0)

mvencode h4_2_7  h4_2e5_1-h4_2e5_3 h4_4_7 h4_4f5_1 h4_7_7 h4_7_8, mv(0)


rename h4_2_7 h_d_repair
rename h4_4_7 h_d_assets
gen h_d_damage=h4_7_8
rename h2_13 h_inv

gen h_d_land_buy=h4_4f5_1 
gen h_d_land_repair=h4_2e5_1  

gen h_d_land=h_d_land_buy + h_d_land_repair
gen h_d_equip = (h_d_assets + h_d_repair - h_d_damage) - h_d_land

*new rented assets
gen h_d_equip_rent=0
gen h_d_land_rent=0

replace h_d_equip_rent=h_d_equip_rent+h4_4f1_1 if h4_4d1_1==4
replace h_d_equip_rent=h_d_equip_rent+h4_4f6_1 if h4_4d6_1==2

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 f1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
f_d_equip f_d_equip_rent f_d_land f_d_land_rent f_inv
g_d_equip g_d_equip_rent g_d_land g_d_land_rent g_inv
h_d_equip h_d_equip_rent h_d_land h_d_land_rent h_inv
;
# delimit cr

*ADD ROUND 9
sort sheno

merge sheno using tsunami_track9all
mvencode  i3_1a2 i3_1c i3_8_2 i3_9_2, mv(0)

mvencode i4_2_7  i4_2e5_1 i4_4_7   i4_7_8, mv(0)

rename i4_2_7 i_d_repair
rename i4_4_7 i_d_assets
gen i_d_damage=i4_7_8
rename i2_13 i_inv

mvdecode i_inv, mv(0)

gen i_d_land_buy=0 
gen i_d_land_repair=i4_2e5_1  

gen i_d_land=i_d_land_buy + i_d_land_repair
gen i_d_equip = (i_d_assets + i_d_repair - i_d_damage) - i_d_land

*new rented assets
gen i_d_equip_rent=0
gen i_d_land_rent=0

replace i_d_equip_rent=i_d_equip_rent+i4_4f1_1 if i4_4d1_1==2
replace i_d_equip_rent=i_d_equip_rent+i4_4f2_1 if i4_4d2_1==4

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 f1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
f_d_equip f_d_equip_rent f_d_land f_d_land_rent f_inv
g_d_equip g_d_equip_rent g_d_land g_d_land_rent g_inv
h_d_equip h_d_equip_rent h_d_land h_d_land_rent h_inv
i_d_equip i_d_equip_rent i_d_land i_d_land_rent i_inv
;
# delimit cr

*ADD ROUND 10
sort sheno

merge sheno using tsunami_track10all

mvencode  j3_1a2 j3_1c j3_8_2 j3_9_2, mv(0)

mvencode j4_2_7  j4_2e5_1 j4_4_7   j4_7_8, mv(0)

rename j4_2_7 j_d_repair
rename j4_4_7 j_d_assets
gen j_d_damage=j4_7_8
rename j2_13 j_inv

mvdecode j_inv, mv(0)

gen j_d_land_buy=0 
gen j_d_land_repair=j4_2e5_1  

gen j_d_land=j_d_land_buy + j_d_land_repair
gen j_d_equip = (j_d_assets + j_d_repair - j_d_damage) - j_d_land

*new rented assets
gen j_d_equip_rent=0
gen j_d_land_rent=0

replace j_d_equip_rent=j_d_equip_rent+j4_4f1_1 if j4_4d1_1==2
replace j_d_equip_rent=j_d_equip_rent+j4_4f2_1 if j4_4d2_1==4

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 f1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
f_d_equip f_d_equip_rent f_d_land f_d_land_rent f_inv
g_d_equip g_d_equip_rent g_d_land g_d_land_rent g_inv
h_d_equip h_d_equip_rent h_d_land h_d_land_rent h_inv
i_d_equip i_d_equip_rent i_d_land i_d_land_rent i_inv
j_d_equip j_d_equip_rent j_d_land j_d_land_rent j_inv
;
# delimit cr

*ADD ROUND 11
sort sheno

merge sheno using tsunami_track11all

mvencode  k3_1a2 k3_1c k3_8_2 k3_9_2, mv(0)

mvencode k4_2_7  k4_2e5_1 k4_4_7   k4_7_8, mv(0)

rename k4_2_7 k_d_repair
rename k4_4_7 k_d_assets
gen k_d_damage=k4_7_8
rename k2_13 k_inv

mvdecode k_inv, mv(0)

gen k_d_land_buy=0 
gen k_d_land_repair=k4_2e5_1  

gen k_d_land=k_d_land_buy + k_d_land_repair
gen k_d_equip = (k_d_assets + k_d_repair - k_d_damage) - k_d_land

*new rented assets -- none except for one obs with land
gen k_d_equip_rent=0
gen k_d_land_rent=0

# delimit ;

keep sheno ets b1_1 c1_1 d1_1 f1_1
a_equip a_equip_rent a_land a_land_rent a_inv  
b_d_equip b_d_equip_rent b_d_land b_d_land_rent b_inv
c_d_equip c_d_equip_rent c_d_land c_d_land_rent c_inv
d_d_equip d_d_equip_rent d_d_land d_d_land_rent d_inv
e_d_equip e_d_equip_rent e_d_land e_d_land_rent e_inv
f_d_equip f_d_equip_rent f_d_land f_d_land_rent f_inv
g_d_equip g_d_equip_rent g_d_land g_d_land_rent g_inv
h_d_equip h_d_equip_rent h_d_land h_d_land_rent h_inv
i_d_equip i_d_equip_rent i_d_land i_d_land_rent i_inv
j_d_equip j_d_equip_rent j_d_land j_d_land_rent j_inv
k_d_equip k_d_equip_rent k_d_land k_d_land_rent k_inv
;
# delimit cr



*calculate current levels as levels last period plus differences
gen b_equip=a_equip + b_d_equip
gen b_equip_rent=a_equip_rent + b_d_equip_rent
gen b_land = a_land + b_d_land
gen b_land_rent=a_land_rent + b_d_land_rent

gen c_equip=b_equip + c_d_equip
gen c_equip_rent=b_equip_rent + c_d_equip_rent
gen c_land = b_land + c_d_land
gen c_land_rent=b_land_rent + c_d_land_rent

gen d_equip=c_equip + d_d_equip
gen d_equip_rent=c_equip_rent + d_d_equip_rent
gen d_land = c_land + d_d_land
gen d_land_rent=c_land_rent + d_d_land_rent

gen e_equip=d_equip + e_d_equip
gen e_equip_rent=d_equip_rent + e_d_equip_rent
gen e_land = d_land + e_d_land
gen e_land_rent=d_land_rent + e_d_land_rent

gen f_equip=e_equip + f_d_equip
gen f_equip_rent=e_equip_rent + f_d_equip_rent
gen f_land = e_land + f_d_land
gen f_land_rent=e_land_rent + f_d_land_rent

gen g_equip=f_equip + g_d_equip
gen g_equip_rent=f_equip_rent + g_d_equip_rent
gen g_land = f_land + g_d_land
gen g_land_rent=f_land_rent + g_d_land_rent

gen h_equip=g_equip + h_d_equip
gen h_equip_rent=g_equip_rent + h_d_equip_rent
gen h_land = g_land + h_d_land
gen h_land_rent=g_land_rent + h_d_land_rent

gen i_equip=h_equip + i_d_equip
gen i_equip_rent=h_equip_rent + i_d_equip_rent
gen i_land = h_land + i_d_land
gen i_land_rent=h_land_rent + i_d_land_rent

gen j_equip=i_equip + j_d_equip
gen j_equip_rent=i_equip_rent + j_d_equip_rent
gen j_land = i_land + j_d_land
gen j_land_rent=i_land_rent + j_d_land_rent

gen k_equip=j_equip + k_d_equip
gen k_equip_rent=j_equip_rent + k_d_equip_rent
gen k_land = j_land + k_d_land
gen k_land_rent=j_land_rent + k_d_land_rent

for any a b c d e f g h i j k: gen X_K = X_equip + X_land + X_inv
for any a b c d e f g h i j k: gen X_K_own = X_K - X_equip_rent - X_land_rent
for any a b c d e f g h i j k: gen X_equip_own = X_equip - X_equip_rent
for any a b c d e f g h i j k: gen X_land_own = X_land - X_land_rent
 
for any a b c d e f g h i j k: gen X_K_noland = X_K_own - X_land_own


sort sheno

save wavek, replace

keep sheno ets a_K a_K_own a_equip a_equip_own a_land a_land_own a_inv a_K_noland

renpfix a_
gen wave=1
save wave1k, replace
clear

use wavek
keep sheno ets b_K b_K_own b_equip b_equip_own b_land b_land_own b_inv b_K_noland

renpfix b_
gen wave=2
save wave2k, replace
clear

use wavek
keep sheno ets c_K c_K_own c_equip c_equip_own c_land c_land_own c_inv c_K_noland

renpfix c_
gen wave=3
save wave3k, replace
clear

use wavek, 
keep sheno ets d_K d_K_own d_equip d_equip_own d_land d_land_own d_inv d_K_noland

renpfix d_
gen wave=4
save wave4k, replace
clear

use wavek
keep sheno ets e_K e_K_own e_equip e_equip_own e_land e_land_own e_inv e_K_noland

renpfix e_
gen wave=5
save wave5k, replace
clear

use wavek
keep sheno ets f_K f_K_own f_equip f_equip_own f_land f_land_own f_inv f_K_noland

renpfix f_
gen wave=6
save wave6k, replace
clear

use wavek
keep sheno ets g_K g_K_own g_equip g_equip_own g_land g_land_own g_inv g_K_noland

renpfix g_
gen wave=7
save wave7k, replace
clear

use wavek
keep sheno ets h_K h_K_own h_equip h_equip_own h_land h_land_own h_inv h_K_noland
renpfix h_
gen wave=8
save wave8k, replace
clear

use wavek
keep sheno ets i_K i_K_own i_equip i_equip_own i_land i_land_own i_inv i_K_noland

renpfix i_
gen wave=9
save wave9k, replace
clear

use wavek
keep sheno ets j_K j_K_own j_equip j_equip_own j_land j_land_own j_inv j_K_noland

renpfix j_
gen wave=10
save wave10k, replace
clear

use wavek
keep sheno ets k_K k_K_own k_equip k_equip_own k_land k_land_own k_inv k_K_noland

renpfix k_
gen wave=11
save wave11k, replace
clear

use wave1k
append using wave2k
append using wave3k
append using wave4k
append using wave5k 
append using wave6k
append using wave7k
append using wave8k 
append using wave9k
append using wave10k
append using wave11k

for var K_noland equip equip_own: replace X=. if X<0
gen K2_noland=K_noland
replace K2_noland=. if inv==0

sort sheno wave

/*----Generate real inv-----*/
gen realinv=inv if wave==1
replace realinv=inv*187.4/187.3 if wave==2 /*base March05, w2 June05*/
replace realinv=inv*187.4/187.3 if wave==3 /*w3 Sept05*/
replace realinv=inv*187.4/195.6 if wave==4 /*w4 Dec05*/
replace realinv=inv*187.4/194.9 if wave==5 /*w5 March06*/
replace realinv=inv*187.4/207.3 if wave==6 /*w6 June06*/
replace realinv=inv*187.4/208.8 if wave==7 /*w7 Sept06*/
replace realinv=inv*187.4/230.6 if wave==8 /*w8 Dec06*/
replace realinv=inv*187.4/231.2 if wave==9 /*w9 March07*/
replace realinv=0 if realinv==.  /*replace missing values with zero*******/

move inv realinv
label variable inv "inventories"
label variable realinv "Real inventories"



/*----replacing coding errors----*/
replace K_noland=57300 if sheno==498 & wave==8

foreach FILE in wavek wave2k wave3k wave4k wave5k wave6k wave7k wave8k ///
wave9k wave10k wave11k{
erase `FILE'.dta
}

replace K_own=. if sheno==298  & wave==6
replace K_own=. if sheno==298  & wave==7
replace K_own=. if sheno==298  & wave==8
replace K_own=. if sheno==298  & wave==9
replace K_own=. if sheno==321  & wave==6
replace K_own=. if sheno==321  & wave==7
replace K_own=. if sheno==321  & wave==8
replace K_own=. if sheno==321  & wave==9
replace K_own=. if sheno==388  & wave==5
replace K_own=. if sheno==388  & wave==6
replace K_own=. if sheno==388  & wave==7
replace K_own=. if sheno==388  & wave==8
replace K_own=. if sheno==388  & wave==9

replace K_noland=. if sheno==298  & wave==6
replace K_noland=. if sheno==298  & wave==7
replace K_noland=. if sheno==298  & wave==8
replace K_noland=. if sheno==298  & wave==9
replace K_noland=. if sheno==321  & wave==6
replace K_noland=. if sheno==321  & wave==7
replace K_noland=. if sheno==321  & wave==8
replace K_noland=. if sheno==321  & wave==9
replace K_noland=. if sheno==388  & wave==5
replace K_noland=. if sheno==388  & wave==6
replace K_noland=. if sheno==388  & wave==7
replace K_noland=. if sheno==388  & wave==8
replace K_noland=. if sheno==388  & wave==9

replace K=. if sheno==298  & wave==6
replace K=. if sheno==298  & wave==7
replace K=. if sheno==298  & wave==8
replace K=. if sheno==298  & wave==9
replace K=. if sheno==321  & wave==6
replace K=. if sheno==321  & wave==7
replace K=. if sheno==321  & wave==8
replace K=. if sheno==321  & wave==9
replace K=. if sheno==388  & wave==5
replace K=. if sheno==388  & wave==6
replace K=. if sheno==388  & wave==7
replace K=. if sheno==388  & wave==8
replace K=. if sheno==388  & wave==9

progomit
drop ets
capture drop _merge
sort sheno wave
save CapitalGenerate, replace




