*----------------------------------------------*
*Date - July 2008
*Project - Creating the SLMS master data
/*Description - This program combines all of the 
  fixed variables from the raw data - further variables are generated
  using this raw data in FirmFixedGenerate.do*/
*----------------------------------------------*
clear

*-*-*-*
progClearMemPath_GenderSriLanka  /*This program, clears, sets mem, and indicates the directory*/
*-*-*-*
*log using "/Users/mcallen719/Documents/Sri Lanka Enterprise Surveys/Finalized Files/collate/Logs/firm_fixed_collate.smcl", replace

*--Extracting data from wave 1
set mem 25m

use labeledbaseline, clear
order q1* q2* q3* q4* q5* 
# delimit ;
keep sheno ets gender q1_1 q1_7 q1_8 q1_9 q1_10 q1_11 q1_12 q1_13 q1_14 q1_15 q1_16 q1_17 q1_18 q1_19*
q1_20* q1_22* q1_24 q1_25* q1_26_1-q1_26_4 q1_27* q1_31 q1_32* q1_33* q1_34* q1_35* q1_36* q1_37 q1_38 q4* qm2 qs2 qt2
q5* q2_15-q2_30;

# delimit cr
sort sheno
gen wave = 1

save wave1, replace


*--Extracting data from wave 2--*

use tsunami_track2all, clear

keep sheno b3_13 b3_14* bh* b5*
gen wave = 2
save wave2, replace


*--Extracting data from wave 3--*

use tsunami_track3all.dta, clear

keep sheno ch* c5*
*desc ch*
gen wave = 3
save wave3, replace


*--Extracting data from wave 4--*

use tsunami_track4all.dta, clear

keep sheno d3_12 d3_13 d3_14 d5*
gen wave = 4
save wave4, replace


***********There appears to be some problem with the .PDFs of surveys 5 and 6 


*--Extracting data from wave 5--*

use tsunami_track5all, clear

keep sheno e2_21_* e3_5a e3_5b e3_6a* e3_12 e4_9 e4_10 e4_11* eq5* eq6* 
gen wave = 5
save wave5, replace


*--Extracting data from wave 6--*

*use tsunami_track6all, clear



*gen wave = 6
*save wave6, replace


*--Extracting data from wave 7--*

use tsunami_track7all, clear
keep sheno gm3_3f gt3_3e gs3_3e g5*
gen wave = 7

	*-Combine the Manufacturing, Sales, Retail/Trade data into a single variable-*
	egen mts_revenue_wave7 = rowtotal(gm3_3f gt3_3e gs3_3e)
	drop gm3_3f gt3_3e gs3_3e

save wave7, replace


*--Extracting data from wave 8--*

use tsunami_track8all, clear

keep sheno h2_13_* h2_14_* h2_21 h2_22_* h2_23 h2_24 hm3_3f_1 hm3_3f_2 hm3_3g_2 ht3_3e1 ht3_3e2 hs3_3e_1 hs3_3e_2 h6*
gen wave = 8

	*-Combine the Manufacturing, Sales, Retail/Trade data into a single variable-*
	egen mts_revenue_wave8 = rowtotal(hm3_3f_1 ht3_3e1 hs3_3e_1)
	drop hm3_3f_1 ht3_3e1 hs3_3e_1
	egen mts_percentrevenue_wave8 = rowtotal(hm3_3f_2 ht3_3e2 hs3_3e_2)
	drop hm3_3f_2 ht3_3e2 hs3_3e_2


save wave8, replace


*--Extracting data from wave 9--*

use tsunami_track9all, clear


keep sheno i2_13 i2_13_* i2_14_* i2_20 i3_11_* i3_14_* i4_8* i4_9* i4_10 i4_11 i4_12 i4_13 i4_14 i4_15 i5*
gen wave = 9
save wave9, replace

*--Extracting data from wave 10--*

use tsunami_track10all, clear

keep sheno j4_9 j4_9_b* jq5*
gen wave = 10
save wave10, replace

*--Extracting data from wave 10--*

use tsunami_track11all, clear

keep sheno k4_9* k5*
gen wave = 11
save wave11, replace


*--------Merge waves into a single dataset-------*

use wave1, clear

# delimit ;

merge sheno using wave2 wave3 wave4 wave5 /*wave6*/ wave7 wave8 wave9 wave10 wave11, unique sort;
drop if sheno==374 | sheno==422 | sheno==524 | sheno==227 | sheno==274 | sheno==277 | sheno==285| sheno==287 | sheno==335 | sheno==366
| sheno==423 | sheno==484 | sheno==513 | sheno==629 | sheno==2 | sheno==7 | sheno==14 | sheno==27 | sheno==34| sheno==35 | sheno==45
| sheno==47 | sheno==54 | sheno==74 | sheno==89 | sheno==124 | sheno==126 | sheno==130 | sheno==138 | sheno==154 | sheno==169
| sheno==194 | sheno==196 | sheno==209 | sheno==216 | sheno==256 | sheno==319 | sheno==336 | sheno==340 | sheno==634;
#delimit cr
save FirmFixedCollate, replace

*log close






