*----------------------------------------------*
*Date - July 2008
*Project - Creating the SLMS master data
/*Description - This program generates additional
fixed variables using fixed_data.dta*/
/*Additional notes - this program should be run after 
FirmFixedCollate.do.  It is largely based on 
moreownerchars.do*/ 
*----------------------------------------------*

	 /*-Generates mainreasonfails notworkhardenough
		poorskill badluck coeffvar timetosolve lotBcrra refuse100
		selfefficacy wouldtakeloan registeredPS overallliferisk 
		healthrisk financialrisk businessgambler digitspan organization
		workcentrality powermotivation achievecompete achievework
		achievement trust locusofcontrol polychronicity tenacity 
		passionforwork impulsiveness locusII ability3 a_equip a_equip_rent a_land
	    a_land_rent a_inv-*/
 *log using "/Users/mcallen719/Documents/Sri Lanka Enterprise Surveys/Finalized Files/generate/Logs/FirmFixedGenerate.smcl", replace

*-*-*-*
progClearMemPath_GenderSriLanka  /*This program, clears, sets mem, and indicates the directory*/
*-*-*-*

use FirmFixedCollate, clear


	*--Generating baseline capital stock and land-...copied for capital_new11.do*



	mvencode q1_32f11 - q1_32go2 q1_36_7 q1_38, mv(0)


	# delimit ;


	gen equip_repair=q1_32f11 + q1_32f12 + q1_32f21 + q1_32f22 + q1_32f31 + q1_32f32 + q1_32f41 + q1_32f42  +
	q1_32f61 + q1_32f62 + q1_32f71 + q1_32f72 + q1_32fo1 + q1_32fo2 ;

	gen land_repair= q1_32f51 + q1_32f52;
	
	gen equip_replace=q1_32g11 + q1_32g12 + q1_32g21 + q1_32g22 + q1_32g31 + q1_32g32 + q1_32g41 + q1_32g42  +
	q1_32g61 + q1_32g62 + q1_32g71 + q1_32g72 + q1_32go1 + q1_32go2 ;
	
	gen land_replace=  q1_32g51 + q1_32g52 ;
	
	# delimit cr
	
	
	gen equip_dam=equip_repair+equip_replace
	gen land_dam=land_repair+land_replace
	
	rename q1_38 a_inv
	
	for  X in num 1/6 : gen rentX1=q1_36dX1==2
	for  X in num 1/6 : gen rentX2=q1_36dX2==2
	for  X in num 1/6 : gen rentX3=q1_36dX3==2
	
	*mvencode q1_36f11-q1_36f63, mv(0)
	# delimit ;
	gen a_equip_rent=q1_36f11*rent11 + q1_36f12*rent12 + q1_36f13*rent13 + q1_36f21*rent21 + q1_36f22*rent22 
	 + q1_36f23*rent23 + q1_36f31*rent31 + q1_36f32*rent32 + q1_36f33*rent33 + q1_36f41*rent41 + q1_36f42*rent42 
	+ q1_36f43*rent43  + q1_36f61*rent61 + q1_36f62*rent62 + q1_36f63*rent63;
	
	gen a_land_rent = q1_36f51*rent51 + q1_36f52*rent52 + q1_36f53*rent53 ;
	
	# delimit cr
	
	gen a_land=q1_36f51 + q1_36f52 + q1_36f53 + land_dam
	gen a_equip=equip_dam+land_dam +q1_36_7 - a_land 
     
      *--Code from moreownerchars.do--*


	gen mainreasonfails=c5_1
	label var mainreasonfails "Main reason business fails"
	gen notworkhardenough=mainreasonfails==1 if mainreasonfails!=.
	label var notworkhardenough "Main reason for failure is lack of hard work"
	gen poorskill=mainreasonfails==2 if mainreasonfails!=.
	label var poorskill "Poor skill is main reason for failure"
	gen badluck=mainreasonfails==3 if mainreasonfails!=.
	label var badluck "Bad luck main reason for failure"
	
	gen meanexpect=c5_4
	#delimit ;
	gen ss1=c5_5_1*250^2+c5_5_2*750^2+c5_5_3*1250^2+c5_5_4*1750^2+
	c5_5_5*2250^2+c5_5_6*2750^2+
	c5_5_7*3250^2+c5_5_8*3750^2+
	c5_5_9*4250^2+c5_5_10*4750^2+
	c5_5_11*5250^2+
	c5_5_12*5750^2+c5_5_13*6500^2+
	c5_5_14*7500^2+c5_5_15*8500^2+
	c5_5_16*9500^2+c5_5_17*11000^2;
	gen mexpect=c5_5_1*250+c5_5_2*750+c5_5_3*1250+c5_5_4*1750+
	c5_5_5*2250+c5_5_6*2750+
	c5_5_7*3250+c5_5_8*3750+
	c5_5_9*4250+c5_5_10*4750+
	c5_5_11*5250+
	c5_5_12*5750+c5_5_13*6500+
	c5_5_14*7500+c5_5_15*8500+
	c5_5_16*9500+c5_5_17*11000;
	replace mexpect=mexpect/20;
	sum mexpect meanexpect if ss1~=.;
	gen var1=(ss1/19)-(20/19)*mexpect*mexpect;
	gen stdev1=var1^(0.5);
	gen coeffvar=stdev1/mexpect;
	sum coeffvar;
	
	#delimit ;
	gen ss2=c5_5b101*500^2+c5_5b102*1500^2+c5_5b103*2500^2+c5_5b104*3500^2+
	c5_5b105*4250^2+c5_5b106*4750^2+
	c5_5b107*5250^2+c5_5b108*5750^2+
	c5_5b109*6250^2+c5_5b110*6750^2+
	c5_5b111*7250^2+c5_5b112*7750^2+
	c5_5b113*8250^2+c5_5b114*8750^2+
	c5_5b115*9250^2+c5_5b116*9750^2+
	c5_5b117*10250^2+c5_5b118*10750^2+
	c5_5b119*11500^2+c5_5b120*12500^2+
	c5_5b121*13500^2+c5_5b122*14500^2+
	c5_5b123*16000^2+c5_5b124*18000^2+
	c5_5b125*20000^2+c5_5b126*22000^2;
	gen mexpect2=c5_5b101*500+c5_5b102*1500+c5_5b103*2500+c5_5b104*3500+
	c5_5b105*4250+c5_5b106*4750+
	c5_5b107*5250+c5_5b108*5750+
	c5_5b109*6250+c5_5b110*6750+
	c5_5b111*7250+c5_5b112*7750+
	c5_5b113*8250+c5_5b114*8750+
	c5_5b115*9250+c5_5b116*9750+
	c5_5b117*10250+c5_5b118*10750+
	c5_5b119*11500+c5_5b120*12500+
	c5_5b121*13500+c5_5b122*14500+
	c5_5b123*16000+c5_5b124*18000+
	c5_5b125*20000+c5_5b126*22000;
	replace mexpect2=mexpect2/26;
	gen var2=(ss2-26*mexpect2*mexpect2)/25;
	gen stdev2=var2^(0.5);
	replace coeffvar=stdev2/mexpect2 if stdev2~=.;
	sum coeffvar;
	
	#delimit ;
	gen ss3=c5_5c101*1000^2+c5_5c102*3000^2+c5_5c103*5000^2+c5_5c104*7000^2+
	c5_5c105*8500^2+c5_5c106*9500^2+
	c5_5c107*10500^2+c5_5c108*11500^2+
	c5_5c109*12500^2+c5_5c110*13500^2+
	c5_5c111*14500^2+c5_5c112*15500^2+
	c5_5c113*16500^2+c5_5c114*17500^2+
	c5_5c115*18500^2+c5_5c116*19500^2+
	c5_5c117*21000^2+c5_5c118*23000^2+
	c5_5c119*25000^2+c5_5c120*27000^2+
	c5_5c121*29000^2+c5_5c122*31000^2+
	c5_5c123*33000^2+c5_5c124*35000^2+
	c5_5c125*37000^2+c5_5c126*39000^2+
	c5_5c127*42500^2+c5_5c128*47500^2+
	c5_5c129*52000^2;
	gen mexpect3=c5_5c101*1000+c5_5c102*3000+c5_5c103*5000+c5_5c104*7000+
	c5_5c105*8500+c5_5c106*9500+
	c5_5c107*10500+c5_5c108*11500+
	c5_5c109*12500+c5_5c110*13500+
	c5_5c111*14500+c5_5c112*15500+
	c5_5c113*16500+c5_5c114*17500+
	c5_5c115*18500+c5_5c116*19500+
	c5_5c117*21000+c5_5c118*23000+
	c5_5c119*25000+c5_5c120*27000+
	c5_5c121*29000+c5_5c122*31000+
	c5_5c123*33000+c5_5c124*35000+
	c5_5c125*37000+c5_5c126*39000+
	c5_5c127*42500+c5_5c128*47500+
	c5_5c129*52000;
	replace mexpect3=mexpect3/29;
	gen var3=(ss3-29*mexpect3*mexpect3)/28;
	gen stdev3=var3^(0.5);
	replace coeffvar=stdev3/mexpect3 if stdev3~=.;
	sum coeffvar;
	#delimit cr
	label var coeffvar "Coefficient of Variation of Expected Profits"
	drop meanexpect ss1 mexpect var1 stdev1 ss2 mexpect2 var2 stdev2 ss3 mexpect3 var3 stdev3
	
	for num 1/9: gen choiceBX=b5_4_X==1
	gen choiceB10=b5_4_10==1
	sum choiceB1-choiceB10
	gen lotteryB=1 if choiceB1==0
	replace lotteryB=2 if choiceB1==1 & choiceB2==0
	replace lotteryB=3 if choiceB2==1 & choiceB3==0
	replace lotteryB=4 if choiceB3==1 & choiceB4==0
	replace lotteryB=5 if choiceB4==1 & choiceB5==0
	replace lotteryB=6 if choiceB5==1 & choiceB6==0
	replace lotteryB=7 if choiceB6==1 & choiceB7==0
	replace lotteryB=8 if choiceB7==1 & choiceB8==0
	replace lotteryB=9 if choiceB8==1 & choiceB9==0
	replace lotteryB=10 if choiceB9==1 
	
	gen timetosolve=b5_5
	replace timetosolve=. if b5_5>235
	label var timetosolve "Time to Solve Maze"
	
	gen yB1=. if lotteryB==1
	gen yB2=-1.48 if lotteryB==1
	replace yB1=-1.48 if lotteryB==2
	replace yB2=-0.66 if lotteryB==2
	replace yB1=-0.66 if lotteryB==3
	replace yB2=-0.15 if lotteryB==3
	replace yB1=-0.15 if lotteryB==4
	replace yB2=0.28 if lotteryB==4
	replace yB1=0.28 if lotteryB==5
	replace yB2=0.64 if lotteryB==5
	replace yB1=0.64 if lotteryB==6
	replace yB2=0.99 if lotteryB==6
	replace yB1=0.99 if lotteryB==7
	replace yB2=1.37 if lotteryB==7
	replace yB1=1.37 if lotteryB==8
	replace yB2=1.81 if lotteryB==8
	replace yB1=1.81 if lotteryB==9
	replace yB2=2.47 if lotteryB==9
	replace yB1=2.47 if lotteryB==10
	replace yB2=. if lotteryB==10
	
	gen lotBcrra=(yB1+yB2)/2
	replace lotBcrra=-1.48 if lotteryB==1
	replace lotBcrra=2.47 if lotteryB==10
	
/*Remove firms that have attritted*/
	
	replace lotBcrra=. if sheno==188
	replace lotBcrra=. if sheno==240
	replace lotBcrra=. if sheno==245
	replace lotBcrra=. if sheno==265
	replace lotBcrra=. if sheno==288
	replace lotBcrra=. if sheno==322
	replace lotBcrra=. if sheno==350
	replace lotBcrra=. if sheno==560
	replace lotBcrra=. if sheno==569
	
	label var lotBcrra "Relative Risk Aversion by lottery B"
	
	/* Risk measures */
	gen refuse100=(b5_4_10==1) if b5_4_10~=.
	label var refuse100 "Choses 40 instead of 100% chance of 100"
	drop choiceB* lotteryB yB*
	
	gen selfefficacy=d5_9_1+d5_9_2
	for num 3/10: replace selfefficacy=selfefficacy+d5_9_X
	label var selfefficacy "Belief in ability to do things (sum of 10 items)"
	gen wouldtakeloan=(d5_13==1) if d5_13~=.
	label var wouldtakeloan "Would take 20000Rs at 4000/month for 6 months"
	gen registeredPS=d5_15==1
	label var registeredPS "Registered with Pradeshiya Sabawa (R4)"
	
	gen overallliferisk=real(eq5_1)
	label var overallliferisk "Overall willingness to take risk in life - R5_5.1"
	gen healthrisk=real(eq5_2)
	label var healthrisk "Willingness to take risks with health"
	gen financialrisk=real(eq5_3)
	label var financialrisk "Willingness to take financial risk"
	gen businessgambler=eq5_4==1 if eq5_4 ~= .
	label var businessgambler "would take gamble to double business size"
	gen digitspan=3 if eq5_5a==2 & eq5_5a ~=.
	replace digitspan=4 if eq5_5b==2 & eq5_5b ~=.
	replace digitspan=5 if eq5_5c==2 & eq5_5c ~=.
	replace digitspan=6 if eq5_5d==2 & eq5_5d ~=.
	replace digitspan=7 if eq5_5e==2 & eq5_5e ~=.
	replace digitspan=8 if eq5_5f==2 & eq5_5f ~=.
	replace digitspan=9 if eq5_5g==2 & eq5_5g ~=.
	replace digitspan=10 if eq5_5h==2 & eq5_5h ~=.
	replace digitspan=11 if eq5_5h==1 & eq5_5h ~=.
	label var digitspan "Digit Span recall Maximum"
	
	

*-Creating additional fixed variables using fixed_data-*
/*Creates detailedind fatheredn motheredn fatherbus motherbus granddadbus registerDS registerPG wagetoclose gamble1 gamble2 gamble3*/
ren q1_8  ednyears
replace ednyears = . if ednyears==99
ren q1_9  fatheredn
replace fatheredn = . if fatheredn==99
ren q1_10 motheredn
replace motheredn = . if motheredn==99

gen athomebus = (q1_14==9 | q1_14==10) if q1_14~=.
gen fatherbus = (q1_11==1) if q1_11~=.
gen motherbus = (q1_12==1) if q1_12~=.
gen granddadbus = (q1_13==1) if q1_13~=.
gen registerDS = (q1_25a1 == 1) if q1_25a1 ~=.
gen registerPS = (q1_25a2 == 1) if q1_25a2 ~=.
gen registerPG = (q1_25a3 == 1) if q1_25a3 ~=.
gen agebus = 2005 - q1_20b
replace agebus=. if q1_20b==99
ren q5_3 wagetoclose

gen loanbank=0
replace loanbank = (q4_1a1==1 | q4_1a2==1 | q4_1a3==1 | q4_1a4==1 | q4_1a5==1 | q4_1a6==1)


/*
gen gamble1=q5_6 - 1
gen gamble2=q5_7 - 1
gen gamble3=q5_8 - 1
*/

*---Get ednyears from HHFixedGenerate
sort sheno
capture drop _merge
merge sheno using HHFixedGenerate, keep(ednyears)
assert _merge==3
*create scales
gen impulsiveness=(6-i5_1_1)+i5_1_2+(6-i5_1_3)
alpha i5_1_1 i5_1_2 i5_1_3
gen passionforwork=i5_1_4
gen tenacity=i5_1_5+i5_1_6
alpha i5_1_5 i5_1_6
gen polychronicity=i5_1_7+(6-i5_1_8)+(6-i5_1_9)
alpha i5_1_7 i5_1_8 i5_1_9
gen locusofcontrol=i5_1_10+i5_1_11+i5_1_13
alpha i5_1_10 i5_1_11 i5_1_13
pca i5_1_10 i5_1_11 i5_1_13 notworkhardenough poorskill badluck
predict locusII, score
alpha i5_1_10 i5_1_11 i5_1_13 notworkhardenough poorskill badluck, std
gen trust=i5_1_12
gen achievement=i5_5_1+i5_5_3+i5_5_4+i5_5_5+i5_5_6
alpha i5_5_1 i5_5_3 i5_5_4 i5_5_5 i5_5_6
gen achievework=i5_5_1+i5_5_3
alpha i5_5_1 i5_5_3
gen achievecompete=i5_5_5+i5_5_6
alpha i5_5_5 i5_5_6
gen powermotivation=i5_5_7+i5_5_8+i5_5_10
alpha i5_5_7 i5_5_8 i5_5_10
gen workcentrality=i5_5_9
gen organization=i5_5_11
gen maze=timetosolve>=60 if timetosolve~=.
pca timetosolve digitspan  ednyears  selfefficacy
predict ability3, score

*-- Financial literacy measures
gen correct1=h6_1==1 & h6_1~=.
gen correct2=h6_2==3 & h6_2~=.
gen financialliteracy=correct1+correct2
replace financialliteracy=0 if financialliteracy==1
gen inflation10to20a=h6_3_1>=10 & h6_3_1<=20
gen inflation10to20b=h6_4_1>=11000 & h6_4_1<=12000
*corr inflation10to20a inflation10to20b
gen superfinanciallit=correct1==1 & correct2==1 & inflation10to20a==1 & inflation10to20b==1
gen carer=g5a_1+g5a_2+g5a_4

gen agebusiness=2004-q1_20b 
gen youngbusiness=agebusiness<=3 if agebusines~=. 


*Raven
mvencode jq5_27_1-jq5_27_12, mv(0)

gen raven1=jq5_27_1==8
gen raven2=jq5_27_2==4
gen raven3=jq5_27_3==5
gen raven4=jq5_27_4==1
gen raven5=jq5_27_5==2
gen raven6=jq5_27_6==5
gen raven7=jq5_27_7==6
gen raven8=jq5_27_8==3
gen raven9=jq5_27_9==7
gen raven10=jq5_27_10==8
gen raven11=jq5_27_10==7
gen raven12=jq5_27_12==6

egen raven=rsum(raven1-raven12)
*This code sets all missing values to zero, even where the owner had attritted before this round
replace raven=. if jq5_28==. 

*CRT
gen crt1=jq5_28==50
gen crt2=jq5_29==5
gen crt3=jq5_30==47
gen crt=crt1+crt2+crt3
label var crt1 "ball bat question"
label var crt2 "machines making screw nails"
label var crt3 "lilly pads doubling on pond"
label var crt "number of 3 CRT questions answered correctly

*other round 10
rename jq5_22 height
rename jq5_21 height_12

for var jq5_2_1b jq5_2_2b jq5_5: replace X=0 if X==95
mvdecode jq5_1 jq5_31, mv(9)

gen hyper1=jq5_1
gen hyper6=jq5_31

rename jq5_24 o_levels
rename jq5_25 a_levels
rename jq5_16 poor_neighbors
rename jq5_14 fatheroc_12
rename jq5_17 poor_you

gen optimistic=jq5_41_1+ (6-jq5_41_3) + jq5_41_4 + (6-jq5_41_6) + (6-jq5_41_7) + jq5_41_9
gen pastwage=d5_7_1 >0 if d5_7_1~=.


*--Optimism
gen optimismI = c5_7
gen optimismII = c5_7-c5_6
*Industry
gen ind = ""
replace ind = "man" if (/*qm2~=0 &*/ qm2~=.)
replace ind = "man" if (/*qs2~=0 & */qs2~=.)
replace ind = "trade" if (/*qt2~=0 &*/ qt2~=.)
# delimit ;
foreach NAME of varlist financialliteracy optimismI optimismII carer timetosolve lotBcrra selfefficacy overallliferisk 
       digitspan organization locusII ability3 workcentrality powermotivation achievecompete achievework
       achievement trust locusofcontrol polychronicity tenacity 
	   passionforwork impulsiveness {;
	            gen p_`NAME' = `NAME';
	   };


keep  gender a_equip a_equip_rent a_inv a_land_rent a_land ability3 achievecompete achievement achievework agebus athomebus
	badluck businessgambler carer coeffvar digitspan ednyears ets fatherbus fatheredn financialrisk financialliteracy
	granddadbus healthrisk impulsiveness ind loanbank locusII locusII locusofcontrol lotBcrra mainreasonfails motherbus motheredn
	notworkhardenough optimismI optimismII organization overallliferisk p_ability3 p_achievecompete p_achievement
	p_achievework p_carer p_digitspan p_financialliteracy p_impulsiveness p_locusofcontrol p_lotBcrra p_optimismII 
	p_organization p_overallliferisk p_passionforwork p_polychronicity p_powermotivation p_selfefficacy p_tenacity 
	p_timetosolve p_trust p_workcentrality passionforwork polychronicity poorskill powermotivation 
	refuse100 registerDS registeredPS registerPG registerPS selfefficacy sheno tenacity timetosolve
	trust wave workcentrality wouldtakeloan
	q2_26_1 q2_26_2 q2_26_3 q2_26_4 q2_26_5 q2_24_1 agebusiness youngbusiness raven crt height_12  
      o_levels a_levels fatheroc_12 poor_neighbors poor_you optimistic 
	q2_25 q2_28 q2_29  ;

   # delimit cr
	    
sort sheno
*ren registeredPS registerPS

save FirmFixedGenerate_web, replace
*log close




