*----------------------------------------------*
*Date - July 2008
*Project - Creating the SLMS master data
/*Description - This program combines all of the 
  fixed variables from the raw data - further variables are generated
  using this raw data in HHFixedGenerate*/
*----------------------------------------------*
clear
*-*-*-*
progClearMemPath_GenderSriLanka  /*This program, clears, sets mem, and indicates the directory*/
*-*-*-*

/*
*-Extracting sheno and eonhid from Firm Survey 5
*This identifies the firm owner within the household

use tsunami_track2all, clear
ren bonhid hhrow
keep sheno hhrow
**eonhid does not appear to be hhrow

*use tsunami_track5all, clear
*/

use round1hhentmatch, clear

save wave0, replace



*--Extracting data from wave 1
use tsunami_household, clear

# delimit ;

keep sheno rh s1_* hhn q1_2_* q1_3_* q1_4_* q1_5_* q1_6a_* q1_6b_*
q1_6c_* q1_7m_* q1_7y_* q1_8_* q1_9_* q1_10_* q1_11_1 q1_19_* q1_20_* q1_21_* q1_22_* q1_23* q1_24_*
q1_25_* q1_26_* q1_27_* q2_1 q2_2 q2_3 q2_4* q2_5 q2_6 q2_7 q2_8 q2_9 q2_10 q2_11 q2_12* q2_13 q2_14
q2_15* q2_16 q2_17 q2_18 q2_19 q3_1* q3_2 q3_3 q3_4 q3_5 q3_6 q3_6* q3_7 q3_8* q3_9* q3_10 q3_11 q5_1
q5_2 q5_3 q5_4 q5_5 q5_6 q5_7 q5_8 q5_9 q5_1 q5_11* q5_12* q5_13 q5_14_* q5_15 q5_16 q5_17* q5_18* q5_19*
q5_20 q5_21 q6_1*;


# delimit cr
gen wave = 1

destring sheno, replace ignore("H") float force
sort sheno

save wave1.dta, replace

*--Extracting data from wave 5
* No items are fixed in wave 5
*use tsunami_household5, clear




*save wave2, replace


*--Extracting data from wave 9
use tsunami_household9, clear

keep sheno c3_2*
gen wave = 9

sort sheno

save wave9, replace


*--Extracting data from wave 11
use tsunami_household11, clear

keep sheno kh_11 - kh_28 k2* k3_2*
gen wave = 11
sort sheno

save wave11, replace


*--------Merge waves into a single dataset-------*


use wave1, clear

# delimit ;
merge sheno using wave0 wave9 wave11, unique sort;
/*Drop firms who were not resurveyed for various reasons*/
# delimit ;
drop if sheno==374 | sheno==422 | sheno==524 | sheno==227 | sheno==274 | sheno==277 | sheno==285| sheno==287 | sheno==335 | sheno==366
| sheno==423 | sheno==484 | sheno==513 | sheno==629 | sheno==2 | sheno==7 | sheno==14 | sheno==27 | sheno==34| sheno==35 | sheno==45
| sheno==47 | sheno==54 | sheno==74 | sheno==89 | sheno==124 | sheno==126 | sheno==130 | sheno==138 | sheno==154 | sheno==169
| sheno==194 | sheno==196 | sheno==209 | sheno==216 | sheno==256 | sheno==319 | sheno==336 | sheno==340 | sheno==634;

# delimit cr
drop _merge
save HHFixedCollate, replace


