*----------------------------------------------*
*Date - July 2008
*Project - Creating the SLMS master data
/*Description - This program generates analytical variables
  using the raw data gathered by HHFixedCollate.do
  --Directly based on household.do*/
*----------------------------------------------*

*-*-*-*
progClearMemPath_GenderSriLanka  /*This program, clears, sets mem, and indicates the directory*/
*-*-*-*

use HHFixedCollate, clear
/*for num 1/9: replace sheno="00X" if sheno=="H00X"
for num 10/99: replace sheno="0X" if sheno=="H0X"
for num 100/659: replace sheno="X" if sheno=="HX"
destring sheno, replace*/
sort sheno

egen hhsize=rowlast(s1_1-s1_10)
label var hhsize "Household Size"
gen male=1 if q1_2_1==1 & hhrow==1
replace male=0 if q1_2_1==2 & hhrow==1
for num 2/10: replace male=1 if q1_2_X==1 & hhrow==X
for num 2/10: replace male=0 if q1_2_X==2 & hhrow==X
label var male "Dummy for male"
gen age=q1_4_1 if hhrow==1
for num 2/10: replace age=q1_4_X if hhrow==X
label var age "Age of entrepreneur"
gen married=1 if q1_5_1==2 & hhrow==1
replace married=0 if q1_5_1~=2 & q1_5_1~=. & hhrow==1
for num 2/10: replace married=1 if q1_5_X==2 & hhrow==X
for num 2/10: replace married=0 if q1_5_X~=2 & q1_5_X~=. & hhrow==X
label var married "Dummy for married"
gen migrant=1 if q1_7y_1~=. & hhrow==1
for num 2/10: replace migrant=1 if q1_7y_X~=. & hhrow==X
replace migrant=0 if migrant==.
label var migrant "Born outside current location"
gen intmigrant=1 if q1_10_1==1 & hhrow==1
replace intmigrant=0 if q1_10_1==2 & hhrow==1
for num 2/10: replace intmigrant=1 if q1_10_X==1 & hhrow==X
for num 2/10: replace intmigrant=0 if q1_10_X==2 & hhrow==X
label var intmigrant "Has ever worked abroad"
for num 1/10: gen kidX=1 if q1_4_X<15
for num 1/10: replace kidX=0 if q1_4_X>=15
gen numkid=kid1+kid2+kid3+kid4+kid5+kid6+kid7+kid8+kid9+kid10
label var numkid "Number of hh members under 15" 
for num 1/10: gen kidaX=1 if q1_4_X<12
for num 1/10: replace kidaX=0 if q1_4_X>=12
gen numkid12=kida1+kida2+kida3+kida4+kida5+kida6+kida7+kida8+kida9+kida10
label var numkid12 "Number of hh members under 12" 

for num 1/10: gen oldX=1 if q1_4_X>65 & q1_4_X~=.
for num 1/10: replace oldX=0 if q1_4_X<=65|q1_4_X==.
gen numold=old1+old2+old3+old4+old5+old6+old7+old8+old9+old10
label var numold "Number of hh members over 65"
gen ednyears=q1_19_1 if  hhrow==1
for num 2/10: replace ednyears=q1_19_X if hhrow==X
replace ednyears=. if ednyears==99
label var ednyears "Years of education of entrepreneur"
gen sinhalese=1 if q1_21_1==1 & hhrow==1
replace sinhalese=0 if q1_21_1~=1 & q1_21_1~=. & hhrow==1
for num 2/10: replace sinhalese=1 if q1_21_X==1 & hhrow==X
for num 2/10: replace sinhalese=0 if q1_21_X~=1 & q1_21_X~=. & hhrow==X
label var sinhalese "Dummy for being Sinhalese"
gen muslim=1 if q1_22_1==3 & hhrow==1
replace muslim=0 if q1_22_1~=3 & q1_22_1~=. & hhrow==1
for num 2/10: replace muslim=1 if q1_22_X==3 & hhrow==X
for num 2/10: replace muslim=0 if q1_22_X~=3 & q1_22_X~=. & hhrow==X
label var muslim "Dummy for muslim religion (vs buddist, r.c.)"
gen englishspeaker=1 if q1_23a1==1 & hhrow==1
for num 2/10: replace englishspeaker=1 if q1_23aX==1 & hhrow==X
for num 1/10: replace englishspeaker=1 if q1_23bX==1 & hhrow==X
for num 1/10: replace englishspeaker=1 if q1_23cX==1 & hhrow==X
replace englishspeaker=0 if englishspeaker==.
gen tamilspeaker=1 if q1_23a1==3 & hhrow==1
for num 2/10: replace tamilspeaker=1 if q1_23aX==3 & hhrow==X
for num 1/10: replace tamilspeaker=1 if q1_23bX==3 & hhrow==X
for num 1/10: replace tamilspeaker=1 if q1_23cX==3 & hhrow==X
replace tamilspeaker=0 if tamilspeaker==.
gen sinhalaspeaker=1 if q1_23a1==2 & hhrow==1
for num 2/10: replace sinhalaspeaker=1 if q1_23aX==2 & hhrow==X
for num 1/10: replace sinhalaspeaker=1 if q1_23bX==2 & hhrow==X
for num 1/10: replace sinhalaspeaker=1 if q1_23cX==2 & hhrow==X
replace sinhalaspeaker=0 if sinhalaspeaker==.
label var englishspeaker "Can speak English dummy"
label var tamilspeaker "Can speak Tamil dummy"
label var sinhalaspeaker "Can speak Sinhala dummy"
gen fatheredn=q1_24_1 if hhrow==1
for num 2/10: replace fatheredn=q1_24_X if hhrow==X
replace fatheredn=. if fatheredn==97|fatheredn==99
label var fatheredn "Father's years of education"
gen motheredn=q1_25_1 if hhrow==1
for num 2/10: replace motheredn=q1_25_X if hhrow==X
replace motheredn=. if motheredn==97|motheredn==99
label var motheredn "Mother's years of education"
gen landphone=q5_20==1
label var landphone "Has telephone"
gen cellphone=q5_21==1
label var cellphone "Has cellphone"
for num 1/16: replace q6_1a_X=0 if q6_1a_X==2
pca landphone cellphone q6_1a_1-q6_1a_14 q6_1a_16 
predict assetindex, score
label var assetindex "Asset index of durables"
gen relabroad=q3_1==1
label var relabroad "Has a relative abroad"
gen reldead=q3_8b<95
label var reldead "Relative killed in tsunami"
gen housedamage=q2_1==1
label var housedamage "House damaged in tsunami"
gen contentdamage=q2_2==1
label var contentdamage "Contents damaged in tsunami"
gen hhinjured=q2_14==1
label var hhinjured "Household member injured in tsunami"
#delimit ;
keep sheno age assetindex contentdamage ednyears englishspeaker fatheredn hhinjured hhsize housedamage intmigrant
 kh_11 - kh_28 male married migrant motheredn muslim numkid numkid12
numold relabroad reldead sinhalaspeaker sinhalese tamilspeaker;

# delimit cr

capture drop _merge
sort sheno
save HHFixedGenerate, replace

