*----------------------------------------------*
*Date - August 2008
*Project - Creating the SLMS master data
/*Description - This program generates calculates
the capital stock*/

/*Generates variables - prof (profits) realprof (profits deflated using CPI) ownhours 
(hours working in own business) rev (revenue)*/
*----------------------------------------------*


*-*-*-*
progClearMemPath_GenderSriLanka  /*This program, clears, sets mem, and indicates the directory*/
*-*-*-*

*-----------------Programs----------------*

capture program drop progomit
program progomit
	# delimit ;
	
	drop if sheno==374 | sheno==422 | sheno==524 | sheno==227 | sheno==274 | sheno==277 | sheno==285| sheno==287 | sheno==335 | sheno==366
	| sheno==423 | sheno==484 | sheno==513 | sheno==629 | sheno==2 | sheno==7 | sheno==14 | sheno==27 | sheno==34| sheno==35 | sheno==45
	| sheno==47 | sheno==54 | sheno==74 | sheno==89 | sheno==124 | sheno==126 | sheno==130 | sheno==138 | sheno==154 | sheno==169
	| sheno==194 | sheno==196 | sheno==209 | sheno==216 | sheno==256 | sheno==319 | sheno==336 | sheno==340 | sheno==634;
     
    # delimit cr 
     
	drop if sheno==259 | sheno==397

end

*-----------------End Programs----------------*



*--------------------------------*
*Get profits ownhours rev for 11 waves*
*--------------------------------*

capture program drop proggetvars
program proggetvars
	*list information in the following order:
	*file(1), wave(2), profits(3), ownhours(4) manufacturing revenue(5),
	*trade revenue(6), service revenue(7)
	use `1', clear
	keep sheno `3' `4' `5' `6' `7' 
	rename `3' prof
	replace prof=. if prof==5|prof==6
	rename `4' ownhours
	replace ownhours=0 if ownhours==995|ownhours==.
	egen rev=rowtotal(`5' `6' `7')
	gen wave=`2'
	sort sheno
	save temp`2', replace
end

*list information in the following order:
*(1)file, (2)wave, (3)profits, (4)ownhours

proggetvars labeledbaseline.dta 1 q2_8 q1_23a qm2 qt2 qs2
proggetvars tsunami_track2all.dta 2 b3_7 b2_4 bm3_2 bt3_2 bs3_2
proggetvars tsunami_track3all.dta 3 c3_6 c2_4 cm3_2 ct3_2 cs3_2
proggetvars tsunami_track4all.dta 4 d3_6 d2_4 dm3_2 dt3_2 ds3_2
proggetvars tsunami_track5all.dta 5 e3_6 e2_4 em3_2 et3_2 es3_2
proggetvars tsunami_track6all.dta 6 f3_6 f2_4 fm3_2 ft3_2 fs3_2
proggetvars tsunami_track7all.dta 7 g3_6 g2_4 gm3_2 gt3_2 gs3_2
proggetvars tsunami_track8all.dta 8 h3_6 h2_4 hm3_2 ht3_2 hs3_2
proggetvars tsunami_track9all.dta 9 i3_6 i2_4 im3_2 it3_2 is3_2
proggetvars tsunami_track10all.dta 10 j3_6 j2_4 jm3_2 jt3_2 js3_2
proggetvars tsunami_track11all.dta 11 k3_6 k2_4 km3_2 kt3_2 ks3_2


**Put everything together**

use temp1, clear  /*append all survey files*/
forvalues i=2/11{
	append using temp`i'
}
sort sheno wave
label variable prof "Profits"

/*----Profit Corrections----*/
replace prof=2000  if (sheno==30  & wave==4)
replace prof=8000  if (sheno==103 & wave==3)
replace prof=8500  if (sheno==190 & wave==5)
replace prof=13000 if (sheno==201 & wave==6)

replace prof=3500  if (sheno==276 & wave==5)
replace prof=1200  if (sheno==308 & wave==2)
replace prof=3000  if (sheno==326 & wave==3)
replace prof=775    if (sheno==390 & wave==4)
replace prof=20000  if (sheno==395 & wave==5)

replace prof=750    if (sheno==404 & wave==5)
replace prof=8000   if (sheno==421 & wave==6)
replace prof=2500   if (sheno==431 & wave==3)
replace prof=9000   if (sheno==492 & wave==6)
replace prof=1750   if (sheno==520 & wave==5)

replace prof=9300   if (sheno==549 & wave==3)
replace prof=3500   if (sheno==573 & wave==5)
replace prof=10000  if (sheno==646 & wave==5)

replace prof=. if sheno==91  & wave==9
replace prof=. if sheno==224 & wave==7
replace prof=. if sheno==519 & wave==7
replace prof=. if sheno==73  & wave==9
replace prof=. if sheno==632 & wave==9

replace prof=9500 if sheno==84  & wave==10
replace prof=8000 if sheno==99  & wave==10
replace prof=4500 if sheno==114 & wave==10
replace prof=11000 if sheno==267 & wave==10
replace prof=4000 if sheno==431 & wave==10

replace prof=2500 if sheno==480 & wave==10
replace prof=8000 if sheno==549 & wave==10
replace prof=20000 if sheno==104 & wave==11
replace prof=5000 if sheno==259 & wave==11
replace prof=16000 if sheno==283 & wave==11

replace prof=6000 if sheno==434 & wave==11
replace prof=2800 if sheno==568 & wave==11


/*---------------------------*/

save tempstep0, replace
forvalues i=1/11{
	erase temp`i'.dta
}

***Correct revenue based on Master9

ren rev trev
gen revupdate=0

merge sheno wave using Master9roundsClean, keep(rev) sort

replace revupdate=1 if (trev~=rev & wave <9)
replace trev = rev if revupdate==1
drop rev
ren trev rev

***Generate realprof through wave 9
gen realprof=.
replace realprof=prof if wave==1
replace realprof=prof*187.4/187.3 if wave==2 /*base March05, w2 June05*/
replace realprof=prof*187.4/187.3 if wave==3 /*w3 Sept05*/
replace realprof=prof*187.4/195.6 if wave==4 /*w4 Dec05*/
replace realprof=prof*187.4/194.9 if wave==5 /*w5 March06*/
replace realprof=prof*187.4/207.3 if wave==6 /*w6 June06*/
replace realprof=prof*187.4/208.8 if wave==7 /*w7 Sept06*/
replace realprof=prof*187.4/230.6 if wave==8 /*w8 Dec06*/
replace realprof=prof*187.4/231.2 if wave==9 /*w9 March07*/
replace realprof=prof*187.4/255.0 if wave==10 /*w10 Sept07*/
replace realprof=prof*187.4/296.0 if wave==11 /*w11 March08*/
*Note that March 08 CPI estimated based on March07-March08 Colombo CPI

replace realprof=200.1068 if sheno==308 & wave==2

drop qm2 qt2 qs2 bm3_2 bt3_2 bs3_2 cm3_2 ct3_2 cs3_2 dm3_2 dt3_2 ds3_2     ///
em3_2 et3_2 es3_2 fm3_2 ft3_2 fs3_2 gm3_2 gt3_2 gs3_2 hm3_2 ht3_2     ///
hs3_2 im3_2 it3_2 is3_2 jm3_2 jt3_2 js3_2 km3_2 kt3_2 ks3_2

progomit
capture drop _merge
sort sheno wave

save OperatingGenerate, replace


